<?php

/**
 * Initialize Pusheo Object
 */
$pusheo = new Pusheo($publish_key, $subscribe_key, $url);

echo $pusheo->subscribe(
        array(
            'channel' => "12345",
            'open' => "open",
            'message' => "message",
            'message_sent' => "message_sent",
            'close' => "close",
            'error' => "error",
            'lost_messages_call' => true,
            'lost_messages_call_interval' => 10000
));

/*
 * Publish message
 */
$pusheo->publish(
        array(
            'channel' => 555444,
            'message' => "Hello world!!!"
));

/*
 * Retrieve history 
 */
$history = $pusheo->history(
        array(
            'channel' => 12345,
            'returnTimestamp' => false,
            'timestamp' => 137766667777
        ));

$history = $pusheo->history(
        array(
            'channel' => 12345,
            'returnTimestamp' => true,
            'limit' => 50
        ));
?>